Rotation (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.geo
Class Rotation

    java.lang.Object
      com.bbn.openmap.geo.Rotation

    public class Rotation

extends java.lang.Object

Defines a 3-D rotation, M, such that the matrix multiplication, Mv, rotates vector v an angle ,angle, counter clockwise about the Geo, g. See Newman and Sproull, 1973, Principles of Interactive Computer Garaphics, McGraw-Hill, New York, 463-465.

Field Summary
`protected Geo` | `g`

Constructor Summary
`Rotation(Geo g, double angle)`

Method Summary
`Geo` | `rotate(Geo v)`
`static Geo` | `rotate(Geo v1, double angle, Geo v2, Geo ret)` Static method that does what creating a Rotation object can calling rotate() on it does.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### g

    protected Geo g

Constructor Detail

### Rotation

    public Rotation(Geo g,
                    double angle)

Method Detail

### rotate

    public Geo rotate(Geo v)

### rotate

    public static final Geo rotate(Geo v1,
                                   double angle,
                                   Geo v2,
                                   Geo ret)

  Static method that does what creating a Rotation object can calling rotate() on it does. Rotates vector v2 an angle counter clockwise about the Geo, v1.

  Parameters:
    `v1` -
    `angle` -
    `v2` -
    `ret` - The Geo to load the results in, may be null which will cause the method to allocate a new Geo object.
  Returns:
    the ret Geo passed in, or a new one if ret was null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details